HFST-XFST(1)

NAME
hfst-xfst - =Compile XFST scripts or execute XFST commands interactively

SYNOPSIS
hfst-xfst [OPTIONS...]

DESCRIPTION
Compile XFST scripts or execute XFST commands interactively

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Xfst-specific options:

-e, --execute=CMD
    Execute command CMD on startup

-E, --execute-and-quit=CMD Execute command CMD, and quit

-f, --format=FMT
    Write result using FMT as backend format

-F, --scriptfile=FILE
    Read commands from FILE, and quit

-l, --startupfile=FILE
    Read commands from FILE on startup

-p, --pipe-mode[=STREAM]
    Control input and output streams

-r, --no-readline
    Do not use readline library for input

-w, --print-weight
    Print weights for each operation

-R, --restricted-mode
    Allow read and write operations only in current directory, do not allow system calls

Option --execute can be invoked many times. If FMT is not given, OpenFst's tropical format will be used. The possible values for FMT are { foma, openfst-tropical, openfst-log, sfst }. Readline library, if enabled when configuring, is used for input by default. Input files are always treated as UTF-8.

STREAM can be { input, output, both }. If not given, defaults to {both}. If input file is not specified with -F, input is read interactively line by line from the user. If you redirect input from a file, use --pipe-mode=input. --pipe-mode=output is ignored on non-windows platforms.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-xfst home page: <https://github.com/hfst/hfst/wiki/HfstXfst2Fst>
General help using HFST software: <https://github.com/hfst/hfst/wiki>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.